import AdmVue from "@assets/js/adm-vue";

const vm = new AdmVue({
  data() {
    return {
      configurations: {
      },
      selectedVisual: {},
      visual: [
        {
          group: 'Limitador de transações',
          fields: [
            { label: 'Status', name: 'safety_limiter_status', type: 'select', options: 'Type_Status' },
          ],
        },
        {
          group: 'Google reCaptcha',
          fields: [
            { label: 'Status', name: 'wg24_google_recaptcha_status', type: 'select', options: 'Type_Status' },
          ],
        },
      ]
    }
  },
  methods: {
    getTypeEnumList(nome, tipo, customOptions){
      if (customOptions === 'true'){
        return this.getTypeEnumListCustomOptions(nome, tipo);
      } else {
        return this[tipo].getEnumList();
      }
    },
    getTypeEnumListCustomOptions(nome, tipo){
      switch (nome) {
        case 'wg24_productbox_size': {
          return this[tipo].getRemoveArray([this[tipo].Tp_MuitoPequeno, this[tipo].Tp_Medio, this[tipo].Tp_MuitoGrande, this[tipo].Tp_SemEspaco]);
        }
        default: {
          return this[tipo].getEnumList();
        }
      }
    }
  }
});

AdmVue.init(vm);